API referenceFinancial statements
List a company's financial statements
Annual accounts published for this company, newest fiscal year first, with the figures extracted from them where available.
Costs 10 credits.
Authorization
bearerAuth AuthorizationBearer <token>
Your API key, sent as Authorization: Bearer rc_live_….
In: header
Path Parameters
company_id*string
The company's id.
Format
uuidQuery Parameters
limit?integer
Page size.
Range
1 <= value <= 100Default
20starting_after?string
Return the page after the object with this id. Cannot be combined with ending_before.
Format
uuidending_before?string
Return the page before the object with this id. Cannot be combined with starting_after.
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/financial-statements"{ "object": "list", "has_more": false, "url": "/v1/companies/3f1c2a9e-5b7d-4c8a-9e21-6d4f0b8a1c55/financial-statements", "data": [ { "id": "4d5e6f7a-8b9c-4d0e-8f1a-2b3c4d5e6f7a", "object": "financial_statement", "company_id": "3f1c2a9e-5b7d-4c8a-9e21-6d4f0b8a1c55", "title": "Jahresabschluss zum Geschäftsjahr vom 01.01.2024 bis zum 31.12.2024", "period": { "fiscal_year": 2024, "start_date": "2024-01-01", "end_date": "2024-12-31" }, "published_date": "2025-11-20", "consolidated": false, "language": "de", "source_url": "https://www.unternehmensregister.de/", "content_url": "https://api.registercheck.de/v1/financial-statements/4d5e6f7a-8b9c-4d0e-8f1a-2b3c4d5e6f7a/content", "figures": { "currency": "EUR", "employees": null, "other_financial_obligations": null, "balance_sheet": { "total_assets": "184320.55", "fixed_assets": "12400.00", "current_assets": "171920.55", "cash": "96512.10", "total_equity_and_liabilities": "184320.55", "equity": "61880.30", "liabilities": "110440.25", "provisions": "12000.00", "subscribed_capital": "25000.00", "capital_reserve": null, "bank_loans": null, "liabilities_to_shareholders": null }, "income_statement": null } } ]}